# Uses of Class
org.springframework.core.ParameterizedTypeReference

Packages that use ParameterizedTypeReference
Package
Description
org.springframework.core
Provides basic classes for exception handling and version detection, and other core helpers that are not specific to any part of the framework.

## Uses of ParameterizedTypeReference in org.springframework.core

Methods in org.springframework.core that return ParameterizedTypeReference
Modifier and Type
Method
Description
`static <T> ParameterizedTypeReference<T>`
ParameterizedTypeReference.`forType(Type type)`
Build a `ParameterizedTypeReference` wrapping the given type.
Methods in org.springframework.core with parameters of type ParameterizedTypeReference
Modifier and Type
Method
Description
`static ResolvableType`
ResolvableType.`forType(ParameterizedTypeReference<?> typeReference)`
Return a `ResolvableType` for the specified `ParameterizedTypeReference`.